#pragma once
#ifndef CONTENT_H_
#define CONTENT_H_

#include <contentmanager.h>
#include <vector.h>

class BasicApplication;

/**
* Content class
* This class should initialize and control all application content / data
*/
class Content :	public EPOC::ContentManager
{
public:
	/**
	* Constructor
	* @param pApplication pointer to the application object
	*/
	Content(BasicApplication *pBasicApplication);

	/**
	* Destructor
	*/
	virtual ~Content();

	/**	
	* Initialize all data for the application here
	* @return true if the initialization succeeds, false if it doesn't
	*/
	virtual bool Initialize();

	/**	
	* Update all data for the application here
	* @param fTimeDelta the time passed since last update
	* @return true if the update succeeds, false if it doesn't
	*/
	virtual bool Update(float fTimeDelta);

	// protected members goes here below
protected:
};

#endif // CONTENT_H_